Dokumentacijav1
Invoices

Get an invoice

GET/invoices/{invoice}

Autorizacija

bearerAuth
AutorizacijaBearer <token>

Business token created in the app under Settings, Integrations, API. The token is scoped to exactly one business, has no expiry and is shown only once. Send it as Authorization: Bearer <token> together with Accept: application/json.

Vieta: header

Kelio parametrai

invoice*string

The invoice ID.

Atsakymo turinys

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/invoices/string"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "business_id": "f59fcbb7-848d-4242-af07-a8bb7e3ab37c",    "invoice_type": "regular_invoice",    "series": "string",    "invoice_number": "string",    "invoice_date": "2019-08-24",    "pay_until_date": "2019-08-24",    "language": "en",    "subtotal": 0,    "vat": 0,    "total_incl_vat": 0,    "currency": "string",    "payment_status": "not_paid",    "notes": "string",    "share_link": "http://example.com",    "seller": {      "business_type": "small_partnership",      "first_name": "string",      "last_name": "string",      "company_name": "string",      "company_code": "string",      "individual_activity_id": "string",      "vat_code": "string",      "address": "string",      "email": "string",      "phone": "string",      "custom_fields": [        {          "label": "string",          "value": "string"        }      ]    },    "buyer": {      "type": "company",      "first_name": "string",      "last_name": "string",      "company_name": "string",      "company_code": "string",      "individual_activity_id": "string",      "vat_code": "string",      "address": "string",      "email": "string",      "phone": "string"    },    "items": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "price": 0,        "vat_percentage": 0,        "quantity": 0,        "units": "string"      }    ],    "payment_options": [      {        "type": "bank",        "bank_account": "string",        "bank_name": "string",        "routing_or_sort_number": "string",        "swift_bic_code": "string",        "fields": [          {            "label": "string",            "value": "string"          }        ]      }    ],    "created_at": 0,    "updated_at": 0  }}
F-sąskaita / DevelopersKas naujo